<html>
  <head>
    <title>天翎引擎式开发后台</title>
    <link href="../css/public2.css" rel="stylesheet" type="text/css" />

    <link href="./css/bootstrap.min.css" rel="stylesheet" type="text/css" />

		<link href="./css/codemirror.css" rel="stylesheet" type="text/css" />
		<link href="./css/style.css" rel="stylesheet" type="text/css" />
    <link href="./css/iconfont.css" rel="stylesheet" type="text/css" />
    <script src="./script/jquery-1.11.3.min.js"></script>
    
    <style>
      
    </style>
    <script type="text/javascript">
      var ajax = function(data) {
        return new Promise((resolve, reject) => {
          var xhr = new XMLHttpRequest();
          xhr.onreadystatechange = function() {
            if (xhr.readyState === 4) {
              if ((xhr.status >= 200 && xhr.status < 300) || xhr.status === 304) {
                // resolve(xhr.responseText);
                data.success(xhr.responseText);
              } else {
                reject(xhr.status);
              }
            } else {
              // HTTP请求还在继续...
            }
          };
          xhr.open(data.methods, data.url, true);
          xhr.setRequestHeader("content-type", "application/json");
          
          delete data.methods;
          delete data.url;
          xhr.send(JSON.stringify(data.data));
        });
      };
      var str=window.location.search.replace(/\?/,'').split("&");
      var params={};
      str.forEach(function(el,index){
        params[el.split("=")[0]] = el.split("=")[1].replace(/^\//,"");
      });
      var contextPath = params.contextPath;
</script>
  </head>
  <body id="application_info_advancedTools_dataSource_list" class="mr-4">
    <div id="domainList">
    </div>
    <div class="commFont-text obpm-title-color xh-title"><span class="xh-span">*</span>企业域&nbsp;:</div>
      <%
        DomainHelper domainHelper = new DomainHelper();
        Map<String,String> map = domainHelper.getAllDomain();
        request.setAttribute("domainMap",domainHelper.getAllDomain());
      %>
      <select value="${content.domainId}" name="content.domainId"
          id="domainId" class="obpm-select xh-option">
        <c:forEach items="${domainMap}" var="item">
          <option <c:if test="${content.domainId ==item.key}">selected="selected"</c:if> value="${item.key}">${item.value}</option>
        </c:forEach>
      </select>
    <div class="xh-marginT">
      <button type="button"class="obpm-btn obpm-btn-primary xh-marginR"onclick="doSelect()" data-lang="confirm">确定</button>
      <button type="button"class="obpm-btn obpm-btn-danger"onclick="OBPM.dialog.doReturn();" data-lang="cancel">取消</button>
    </div>
  
  </body>
  
	
  <script>
  </script>
</html>
